Package ch.qos.logback.core.pattern

## Class LiteralConverter<E>

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>
  - - ch.qos.logback.core.pattern.LiteralConverter<E>

    public final class LiteralConverter<E>
    extends Converter<E>

### Constructor Summary

Constructors
`LiteralConverter​(java.lang.String literal)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `convert​(E o)` The convert method is responsible for extracting data from the event and storing it for later use by the write method.

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LiteralConverter

    public LiteralConverter​(java.lang.String literal)

### Method Detail

#### convert

    public java.lang.String convert​(E o)

Description copied from class: `Converter`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Specified by:
  `convert` in class `Converter<E>`